Bug 854836 - installer crashed when changing root's device type to RAID
installer crashed when changing root's device type to RAID
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 02:26 EDT by lnie
Modified: 2013-01-08 14:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 14:01:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lnie 2012-09-06 02:26:02 EDT
Description of problem:

I try to change root's device type to "Raid"on  Manual Partitioning ,the system crash after the change 
Version-Release number of selected component (if applicable):
18.6.4 
How reproducible:
always

Steps to Reproduce:
1.do default install
2.choose GNOME Desktop or other for software selection
3.change the root'device type to Raid 
  
Actual results:

the installer crashed 
Expected results:
install the system successfully

Additional info:
actually,I do the manual partitioning first ,the installer also crash
Comment 1 Hans de Goede 2012-12-19 05:05:07 EST
I think the component should be anaconda :)  Changing.
Comment 2 Chris Lumens 2013-01-02 11:15:43 EST
Are you still seeing this problem with one of the final test candidates?  If so, please attach the complete /tmp/anaconda-tb-* file to this bug report.  Thanks.
Comment 3 lnie 2013-01-05 02:57:23 EST
Actually, in the recent versions,there is no RAID in the device type list.
Comment 4 Chris Lumens 2013-01-07 12:44:33 EST
While RAID is not listed in the initial combo box for picking whether you want to go into the custom partitioning, I do see it as an option for the root device's device type as long as I have at least two disks included in the installation.  How many disks do you have?  Also, I'm not seeing any crashes.
Comment 5 lnie 2013-01-07 23:58:28 EST
Hi Chris,it's my fault.When I did one disk install,and had not seen RAID in the type list as in the previous editions,I just ignored this testcase .
As you say,there is no crashes.However,the"Error detection","Distributed","Redudant"in the MANUAL PARTITIONING  can not be choosed.Is that OK?
Comment 6 Chris Lumens 2013-01-08 14:01:01 EST
The presence of those options is dictated by the number of disks you have selected for installation.  For instance, we won't let you select a RAID level that requires four disks if you only have two, or two disks if you only have one.  My guess is that's what you are seeing here.

Note You need to log in before you can comment on or make changes to this bug.